## sip6 6.14.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==0.7.16
    # via sphinx
babel==2.14.0
    # via sphinx
certifi==2023.11.17
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.20.1
    # via
    #   myst-parser
    #   sphinx
    #   sphinx-rtd-theme
idna==3.6
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.3
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.4
    # via jinja2
mdit-py-plugins==0.4.0
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==2.0.0
    # via -r requirements.in
packaging==23.2
    # via sphinx
pygments==2.17.2
    # via sphinx
pyyaml==6.0.1
    # via myst-parser
requests==2.31.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.2.6
    # via
    #   -r requirements.in
    #   myst-parser
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==2.0.0
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
urllib3==2.1.0
    # via requests

## sip6 6.1.1+dfsg

=== debian/changelog ===
sip6 (6.1.1+dfsg-2) experimental; urgency=medium

  * Backport upstream patch to fix handling of Unicode docstrings.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Aug 2021 20:11:04 +0300

sip6 (6.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Jun 2021 15:23:49 +0300

sip6 (6.1.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update manpages based on command_line_tools.rst changes.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 14 May 2021 20:23:32 +0300

sip6 (6.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Mar 2021 21:51:12 +0300

sip6 (6.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Feb 2021 21:37:08 +0300

sip6 (6.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 06 Feb 2021 20:24:59 +0300

sip6 (6.0.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Rename source package to sip6.
  * Rename binary packages: sip5-tools to sip-tools, sip5-doc to sip6-doc.
    - Make sip-tools break/replace old sip5-tools.
  * Update sip-module manpage based on command_line_tools.rst change.
  * Bump years in debian/copyright.
  * Drop sip_pyi_typo.diff and py_typed.diff, included in the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Jan 2021 20:31:57 +0300

sip5 (5.5.0+dfsg-2) unstable; urgency=medium

  * Backport upstream fix for handling of sip.pyi.
  * Partially backport upstream SIP v6 change to create a PEP 561 py.typed
    file if dunder-init is specified and at least one set of bindings has
    pep484-pyi specified (see #978586).
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 04 Jan 2021 20:30:34 +0300

sip5 (5.5.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update SIP License text in debian/copyright.
  * Update sip-module manpage based on command_line_tools.rst change.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Nov 2020 18:24:17 +0300

sip5 (5.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update sip-install manpage based on command_line_tools.rst change.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Aug 2020 20:56:32 +0300

sip5 (5.3.0+dfsg-2) unstable; urgency=medium

  * Add missing python3-pkg-resources dependency to sip5-tools.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jun 2020 14:49:11 +0300

sip5 (5.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop reproducible_extensions.diff, applied upstream.
  * Update manpages based on command_line_tools.rst changes.
  * Update to debhelper compat level 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Jun 2020 12:25:47 +0300

sip5 (5.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Set the earliest year in debian/copyright to 2015.
  * Add manpages for the tools in sip5-tools.
  * Add a doc-base file for sip5-doc.
  * Add debian/upstream/metadata file.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Apr 2020 18:25:27 +0300

sip5 (5.1.1+dfsg-1) experimental; urgency=medium

  * Initial release (closes: #951459).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2020 18:01:44 +0300

=== debian/control ===
Source: sip6
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-python,
               flex,
               python3-all-dbg,
               python3-all-dev,
               python3-packaging,
               python3-setuptools,
               python3-toml
Build-Depends-Indep: dh-sequence-sphinxdoc, python3-doc, python3-sphinx
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://riverbankcomputing.com/software/sip/intro
Vcs-Git: https://salsa.debian.org/python-team/packages/sip6.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sip6

Package: python3-sipbuild
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bindings generator for C/C++ libraries — the build system
 SIP is a collection of tools that makes it very easy to create Python bindings
 for C and C++ libraries.
 .
 The sipbuild module implements the SIP build system. The module may be used by
 project-specific project.py scripts or extended by other build systems.

Package: python3-sipbuild-dbg
Architecture: any
Section: debug
Depends: python3-sipbuild (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings generator for C/C++ libraries — debug extension
 SIP is a collection of tools that makes it very easy to create Python bindings
 for C and C++ libraries.
 .
 The sipbuild module implements the SIP build system. The module may be used by
 project-specific project.py scripts or extended by other build systems.
 .
 This package contains the extension built for the Python 3 debug interpreter,
 and the debugging symbols for python3-sipbuild package.

Package: sip-tools
Architecture: all
Depends: python3-pkg-resources,
         python3-sipbuild (>= 6),
         ${misc:Depends},
         ${python3:Depends}
Breaks: sip5-tools (<< 6)
Replaces: sip5-tools (<< 6)
Description: Python bindings generator for C/C++ libraries — command line tools
 SIP is a collection of tools that makes it very easy to create Python bindings
 for C and C++ libraries.
 .
 This package contains the following command line tools:
  - sip-build
  - sip-distinfo
  - sip-install
  - sip-module
  - sip-sdist
  - sip-wheel

Package: sip6-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-doc
Description: Python bindings generator for C/C++ libraries — documentation
 SIP is a collection of tools that makes it very easy to create Python bindings
 for C and C++ libraries.
 .
 This package contains the HTML documentation for SIP.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sipbuild

%:
	dh $@ --with python3 --buildsystem=pybuild

code_generator/lexer.c: code_generator/metasrc/lexer.l
	flex --outfile=$@ $<

code_generator/parser.c: code_generator/metasrc/parser.y
	bison --yacc --defines --output=$@ $<

override_dh_auto_configure: code_generator/lexer.c code_generator/parser.c
	dh_auto_configure

execute_after_dh_auto_install:
	mkdir -p debian/sip-tools/usr
	mv debian/python3-sipbuild/usr/bin debian/sip-tools/usr/bin
	rm -rfv debian/python3-sipbuild-dbg/usr/bin
	rm -rfv debian/python3-sipbuild-dbg/usr/lib/python3.*/dist-packages/sipbuild/module

override_dh_install-indep:
	python3 -m sphinx doc debian/sip6-doc/usr/share/doc/sip6-doc/html

override_dh_strip:
	dh_strip --dbg-package=python3-sipbuild-dbg

## sip6 6.3.1+dfsg

=== debian/changelog ===
sip6 (6.3.1+dfsg-1ubuntu2) jammy; urgency=medium

  * Re-upload with fixed file timestamps.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 18 Oct 2021 18:46:27 +0300

sip6 (6.3.1+dfsg-1ubuntu1) jammy; urgency=medium

  * Revert a change from sip 6.2.0 to use sysconfig.get_path('platlib')
    instead of distutils.sysconfig.get_python_lib(plat_specific=1).
    The former returns /usr/lib/python3.x/dist-packages instead of
    /usr/lib/python3/dist-packages, which we want.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 18 Oct 2021 18:27:56 +0300

sip6 (6.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Oct 2021 13:07:55 +0300

sip6 (6.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update manpages based on command_line_tools.rst changes.
  * Stop building extension for Python debug interpreter (closes: #994380).
    - Rely on automatic dbgsym packages for debug symbols.
  * Drop unicode_docstrings.diff, included in the new release.
  * Make python3-sipbuild depend on python3-setuptools.
    - Remove explicit dependency of sip-tools on python3-pkg-resources.
  * Add superficial import test via autodep8.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Oct 2021 15:08:02 +0300

sip6 (6.1.1+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Aug 2021 20:36:18 +0300

=== debian/control ===
Source: sip6
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-python,
               flex,
               python3-all-dev,
               python3-packaging,
               python3-setuptools,
               python3-toml
Build-Depends-Indep: dh-sequence-sphinxdoc, python3-doc, python3-sphinx
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://riverbankcomputing.com/software/sip/intro
Vcs-Git: https://salsa.debian.org/python-team/packages/sip6.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sip6
Testsuite: autopkgtest-pkg-python

Package: python3-sipbuild
Architecture: any
Section: python
Depends: python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings generator for C/C++ libraries — the build system
 SIP is a collection of tools that makes it very easy to create Python bindings
 for C and C++ libraries.
 .
 The sipbuild module implements the SIP build system. The module may be used by
 project-specific project.py scripts or extended by other build systems.

Package: sip-tools
Architecture: all
Depends: python3-sipbuild (>= 6.2), ${misc:Depends}, ${python3:Depends}
Breaks: sip5-tools (<< 6)
Replaces: sip5-tools (<< 6)
Description: Python bindings generator for C/C++ libraries — command line tools
 SIP is a collection of tools that makes it very easy to create Python bindings
 for C and C++ libraries.
 .
 This package contains the following command line tools:
  - sip-build
  - sip-distinfo
  - sip-install
  - sip-module
  - sip-sdist
  - sip-wheel

Package: sip6-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-doc
Description: Python bindings generator for C/C++ libraries — documentation
 SIP is a collection of tools that makes it very easy to create Python bindings
 for C and C++ libraries.
 .
 This package contains the HTML documentation for SIP.

## sip6 6.4.0+dfsg

=== debian/changelog ===
sip6 (6.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Oct 2021 22:18:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sip6
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),

## sip6 6.5.1%2Bdfsg

=== debian/changelog ===
sip6 (6.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Run install with all Python versions again. dh_python3 now handles
    presence of *.abi3.so for multiple versions correctly.
  * Update sip-build.1 based on command_line_tools.rst change.
  * Bump years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Feb 2022 18:01:40 +0300

sip6 (6.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add sip.egg-info/PKG-INFO to debian/clean.
  * Run install only with the default Python version, to make sure we don’t
    ship usr/lib/python3.10/dist-packages/sipbuild/code_generator.abi3.so.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 Dec 2021 17:38:54 +0300

## sip6 6.5.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
-               dh-python,
+               dh-python (>= 5.20211213),
                flex,
                python3-all-dev,
                python3-packaging,

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,6 @@
 execute_after_dh_auto_install:
 	mkdir -p debian/sip-tools/usr
 	mv debian/python3-sipbuild/usr/bin debian/sip-tools/usr/bin
-	rm -rfv debian/python3-sipbuild-dbg/usr/bin
-	rm -rfv debian/python3-sipbuild-dbg/usr/lib/python3.*/dist-packages/sipbuild/module
 
 override_dh_install-indep:
 	python3 -m sphinx doc debian/sip6-doc/usr/share/doc/sip6-doc/html
-
-override_dh_strip:
-	dh_strip --dbg-package=python3-sipbuild-dbg

## sip6 6.6.1+dfsg

=== debian/changelog ===
sip6 (6.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Files-Excluded for the new release.
  * Build-depend on python3-ply instead of bison and flex.
  * Generate parsetab.py during build.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Apr 2022 16:22:05 +0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: bison,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-python (>= 5.20211213),
-               flex,
                python3-all-dev,
                python3-packaging,
+               python3-ply,
                python3-setuptools,
                python3-toml
 Build-Depends-Indep: dh-sequence-sphinxdoc, python3-doc, python3-sphinx

## sip6 6.6.2+dfsg

=== debian/changelog ===
sip6 (6.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop all upstream patches.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Jun 2022 15:21:25 +0300

sip6 (6.6.1+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix __delattr__ handling (closes: #1011093).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 May 2022 21:58:18 +0300

sip6 (6.6.1+dfsg-2) unstable; urgency=medium

  * Add upstream changes up to 2022-05-13 (closes: #1009939, #1010910).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 May 2022 13:26:00 +0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-toml
 Build-Depends-Indep: dh-sequence-sphinxdoc, python3-doc, python3-sphinx
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://riverbankcomputing.com/software/sip/intro
 Vcs-Git: https://salsa.debian.org/python-team/packages/sip6.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sip6

## sip6 6.7.2+dfsg

=== debian/changelog ===
sip6 (6.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update manpages based on command_line_tools.rst changes.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 12 Oct 2022 20:29:24 +0300

## sip6 6.7.4+dfsg

=== debian/changelog ===
sip6 (6.7.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Nov 2022 16:48:10 +0300

sip6 (6.7.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Oct 2022 18:58:47 +0300

## sip6 6.7.5+dfsg

=== debian/changelog ===
sip6 (6.7.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Nov 2022 14:38:42 +0300

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python3-doc
+Multi-Arch: foreign
 Description: Python bindings generator for C/C++ libraries — documentation
  SIP is a collection of tools that makes it very easy to create Python bindings
  for C and C++ libraries.

## sip6 6.7.6+dfsg

=== debian/changelog ===
sip6 (6.7.6+dfsg-2) unstable; urgency=medium

  * Backport upstream patch to fix handling of composite classes
    (closes: #1030188).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 02 Feb 2023 13:07:19 +0400

sip6 (6.7.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 28 Jan 2023 22:01:05 +0400

## sip6 6.7.7+dfsg

=== debian/changelog ===
sip6 (6.7.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop composite_classes.diff, included in the new release.
  * Bump copyright years.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Feb 2023 17:17:11 +0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-toml
 Build-Depends-Indep: dh-sequence-sphinxdoc, python3-doc, python3-sphinx
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://riverbankcomputing.com/software/sip/intro
 Vcs-Git: https://salsa.debian.org/python-team/packages/sip6.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sip6

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sipbuild
export PYBUILD_AFTER_BUILD=cd {build_dir} && {interpreter} -c \
	'from ply import yacc; from sipbuild.generator.parser import rules; yacc.yacc(module=rules)' && \
	test -f sipbuild/generator/parser/parsetab.py

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p debian/sip-tools/usr
	mv debian/python3-sipbuild/usr/bin debian/sip-tools/usr/bin

override_dh_install-indep:
	python3 -m sphinx doc debian/sip6-doc/usr/share/doc/sip6-doc/html

## sip6 6.7.9+dfsg

=== debian/changelog ===
sip6 (6.7.9+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 21 Apr 2023 21:59:43 +0300

sip6 (6.7.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop python3-toml dependency, sip now uses tomllib.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Apr 2023 15:55:34 +0300

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
                python3-all-dev,
                python3-packaging,
                python3-ply,
-               python3-setuptools,
-               python3-toml
+               python3-setuptools
 Build-Depends-Indep: dh-sequence-sphinxdoc, python3-doc, python3-sphinx
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

## sip6 6.7.10+dfsg

=== debian/changelog ===
sip6 (6.7.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Document --minimum-glibc-version option in sip-wheel.1.
  * Add sip.egg-info/entry_points.txt to debian/clean.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Jul 2023 14:25:38 +0300

## sip6 6.7.11+dfsg

=== debian/changelog ===
sip6 (6.7.11+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Aug 2023 15:10:30 +0300

## sip6 6.7.12+dfsg

=== debian/changelog ===
sip6 (6.7.12+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Oct 2023 23:41:50 +0300

## sip6 6.8.1+dfsg

=== debian/changelog ===
sip6 (6.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use system ply module instead of the bundled one.
  * Make python3-sipbuild package arch-independent (it is pure Python now).
  * Merge Build-Depends-Indep into Build-Depends.
  * Add support for nodoc build profile.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 14:45:49 +0300

## sip6 6.8.3+dfsg

=== debian/changelog ===
sip6 (6.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Feb 2024 23:45:43 +0300

sip6 (6.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Document --deprecations-are-errors flag in the manpages.
  * Bump copyright years.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jan 2024 22:46:52 +0300

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 5.20211213),
-               python3-all-dev,
+               dh-sequence-sphinxdoc <!nodoc>,
+               python3-all,
+               python3-doc <!nodoc>,
                python3-packaging,
                python3-ply,
-               python3-setuptools
-Build-Depends-Indep: dh-sequence-sphinxdoc, python3-doc, python3-sphinx
+               python3-setuptools,
+               python3-sphinx <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://riverbankcomputing.com/software/sip/intro
@@ -18,12 +20,9 @@
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-sipbuild
-Architecture: any
+Architecture: all
 Section: python
-Depends: python3-setuptools,
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
+Depends: python3-ply, python3-setuptools, ${misc:Depends}, ${python3:Depends}
 Description: Python bindings generator for C/C++ libraries — the build system
  SIP is a collection of tools that makes it very easy to create Python bindings
  for C and C++ libraries.
@@ -49,6 +48,7 @@
   - sip-wheel
 
 Package: sip6-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,5 @@
 	mkdir -p debian/sip-tools/usr
 	mv debian/python3-sipbuild/usr/bin debian/sip-tools/usr/bin
 
-override_dh_install-indep:
+execute_before_dh_sphinxdoc:
 	python3 -m sphinx doc debian/sip6-doc/usr/share/doc/sip6-doc/html

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://pypi.debian.net/sip/sip@ANY_VERSION@@ARCHIVE_EXT@

## sip6 6.8.5

=== debian/changelog ===
sip6 (6.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to fetch tarballs from GitHub.
  * Stop repacking the tarball. Delete PLY sources in debian/clean instead.
  * Update debian/copyright.
    - Relicense the packaging to match the new upstream license.
  * Update Homepage URL and debian/upstream/metadata for move to GitHub.
  * Update build-dependencies:
    - Bump python3-setuptools required version to 64.
    - Depend on python3-setuptools-scm and pybuild-plugin-pyproject.
    - Depend on python3-myst-parser and python3-sphinx-rtd-theme for the docs.
  * Update the command to build the Sphinx docs.
  * Rebase and refresh patches.
  * Run upstream tests during build.
    - Add a patch to make them use current Python version, not default one.
    - Add a patch to include sipbuild/module/source in the build tree.
    - Build-depend on python3-all-dev.
  * Also run upstream tests in autopkgtest using pybuild.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Add sipbuild/_version.py to debian/clean.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Jun 2024 20:39:07 +0300

## sip6 6.8.6

=== debian/changelog ===
sip6 (6.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches:
    - tests_python_version.diff (applied upstream)
    - include_module_source.diff (problem solved differently)
  * Refresh intersphinx_local.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Jul 2024 22:54:35 +0300

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,23 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 5.20211213),
                dh-sequence-sphinxdoc <!nodoc>,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-all-dev <!nocheck>,
                python3-doc <!nodoc>,
+               python3-myst-parser <!nodoc>,
                python3-packaging,
                python3-ply,
-               python3-setuptools,
-               python3-sphinx <!nodoc>
+               python3-setuptools (>= 64),
+               python3-setuptools-scm (>= 8),
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: https://riverbankcomputing.com/software/sip/intro
+Standards-Version: 4.7.0
+Homepage: https://github.com/Python-SIP/sip
 Vcs-Git: https://salsa.debian.org/python-team/packages/sip6.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sip6
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sipbuild
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sipbuild
export PYBUILD_AFTER_BUILD=cd {build_dir} && {interpreter} -c \
	'from ply import yacc; from sipbuild.generator.parser import rules; yacc.yacc(module=rules)' && \
	test -f sipbuild/generator/parser/parsetab.py
export PYBUILD_TEST_ARGS=-s test

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p debian/sip-tools/usr
	mv debian/python3-sipbuild/usr/bin debian/sip-tools/usr/bin

execute_before_dh_sphinxdoc:
	python3 -m sphinx docs debian/sip6-doc/usr/share/doc/sip6-doc/html

## sip6 6.9.0

=== debian/changelog ===
sip6 (6.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Do not ship parsetab.py in a versioned (python3.13) directory.
  * Make dh_python3 generate a dependency on python3-setuptools, not on
    python3-pkg-resources (closes: #1083771).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Dec 2024 17:15:55 +0300

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Package: python3-sipbuild
 Architecture: all
 Section: python
-Depends: python3-ply, python3-setuptools, ${misc:Depends}, ${python3:Depends}
+Depends: python3-ply, ${misc:Depends}, ${python3:Depends}
 Description: Python bindings generator for C/C++ libraries — the build system
  SIP is a collection of tools that makes it very easy to create Python bindings
  for C and C++ libraries.

## sip6 6.9.1

=== debian/changelog ===
sip6 (6.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh intersphinx_local.diff.
  * Bump required setuptools version to 69.5, following upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Dec 2024 14:01:23 +0300

## sip6 6.10.0

=== debian/changelog ===
sip6 (6.10.0-2) unstable; urgency=medium

  * Backport upstream patch to support enum base types (refs: #1088101).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 May 2025 20:56:41 +0300

sip6 (6.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Pass write_tables=False to yacc to fix runtime warnings.
  * Document the --abi-version option in the manpages.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Feb 2025 22:17:03 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-myst-parser <!nodoc>,
                python3-packaging,
                python3-ply,
-               python3-setuptools (>= 64),
+               python3-setuptools (>= 69.5),
                python3-setuptools-scm (>= 8),
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>

=== debian/watch ===
version=4
https://github.com/Python-SIP/sip/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## sip6 6.12.0

=== debian/changelog ===
sip6 (6.12.0-1+24.04+noble+release+build8) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 18 Aug 2025 01:20:12 +0000

sip6 (6.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop enum_base_types.diff, included in the new release.
  * Refresh intersphinx_local.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jun 2025 23:41:39 +0300

sip6 (6.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Bump dependencies on python3-packaging and python3-setuptools.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 May 2025 13:58:55 +0300

sip6 (6.8.3-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Apr 2024 14:07:53 +1100

sip6 (6.8.1-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 20 Dec 2023 13:45:18 +1000

sip6 (6.7.12-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Oct 2023 12:38:08 +0000

sip6 (6.7.11-0neon) jammy; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop composite_classes.diff, included in the new release.
  * Bump copyright years.

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 22 Aug 2023 08:36:50 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: sip6
 Section: devel
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 5.20211213),
@@ -11,18 +10,19 @@
                python3-all-dev <!nocheck>,
                python3-doc <!nodoc>,
                python3-myst-parser <!nodoc>,
-               python3-packaging,
+               python3-packaging (>= 24.2),
                python3-ply,
-               python3-setuptools (>= 69.5),
+               python3-setuptools (>= 77),
                python3-setuptools-scm (>= 8),
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Python-SIP/sip
-Vcs-Git: https://salsa.debian.org/python-team/packages/sip6.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/sip6
 Testsuite: autopkgtest-pkg-pybuild
+Vcs-Git: https://invent.kde.org/neon/forks/sip6.git
+Vcs-Browser: https://invent.kde.org/neon/forks/sip6
+Maintainer: Neon CI <neon@kde.org>
 
 Package: python3-sipbuild
 Architecture: all
@@ -64,3 +64,11 @@
  for C and C++ libraries.
  .
  This package contains the HTML documentation for SIP.
+
+Package: sip5-tools
+Architecture: all
+Depends: sip-tools, ${misc:Depends}
+Breaks: sip5-tools (<< 6)
+Replaces: sip5-tools (<< 6)
+Description: Dummy transitional package
+ Dummy transitional package can be removed

=== debian/watch ===


## sip6 6.13.0

=== debian/changelog ===
sip6 (6.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Add --sbom option to sip-distinfo.1.
  * Refresh intersphinx_local.diff.
  * Install docs/releases.md as upstream changelog.
  * Drop ‘Rules-Requires-Root: no’, it became default in dpkg 1.22.13.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Oct 2025 00:04:59 +0300

## sip6 6.13.1

=== debian/changelog ===
sip6 (6.13.1-2) unstable; urgency=medium

  * Backport upstream patch to fix handling of composite modules.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 16 Oct 2025 22:46:55 +0300

sip6 (6.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 10 Oct 2025 23:32:06 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: sip6
 Section: devel
 Priority: optional
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 5.20211213),
@@ -16,13 +17,11 @@
                python3-setuptools-scm (>= 8),
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/Python-SIP/sip
+Vcs-Git: https://salsa.debian.org/python-team/packages/sip6.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sip6
 Testsuite: autopkgtest-pkg-pybuild
-Vcs-Git: https://invent.kde.org/neon/forks/sip6.git
-Vcs-Browser: https://invent.kde.org/neon/forks/sip6
-Maintainer: Neon CI <neon@kde.org>
 
 Package: python3-sipbuild
 Architecture: all
@@ -64,11 +63,3 @@
  for C and C++ libraries.
  .
  This package contains the HTML documentation for SIP.
-
-Package: sip5-tools
-Architecture: all
-Depends: sip-tools, ${misc:Depends}
-Breaks: sip5-tools (<< 6)
-Replaces: sip5-tools (<< 6)
-Description: Dummy transitional package
- Dummy transitional package can be removed

## sip6 6.14.0

=== debian/changelog ===
sip6 (6.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop composite_modules.diff, included in the new release.
  * Refresh intersphinx_local.diff.
  * Add --abi-version option to sip-sdist.1.
  * Update debian/watch to version 5.
  * Drop obsolete Breaks/Replaces.
  * Tighten sip-tools dependency on python3-sipbuild.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 Oct 2025 13:46:37 +0300

=== debian/control ===
--- 
+++ 
@@ -36,9 +36,9 @@
 
 Package: sip-tools
 Architecture: all
-Depends: python3-sipbuild (>= 6.2), ${misc:Depends}, ${python3:Depends}
-Breaks: sip5-tools (<< 6)
-Replaces: sip5-tools (<< 6)
+Depends: python3-sipbuild (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Python bindings generator for C/C++ libraries — command line tools
  SIP is a collection of tools that makes it very easy to create Python bindings
  for C and C++ libraries.

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,12 @@
 	mkdir -p debian/sip-tools/usr
 	mv debian/python3-sipbuild/usr/bin debian/sip-tools/usr/bin
 
+execute_after_dh_python3:
+	# parsetab.py, generated by yacc, may differ slightly depending on Python version
+	rm -rfv debian/python3-sipbuild/usr/lib/python3.*
+
 execute_before_dh_sphinxdoc:
 	python3 -m sphinx docs debian/sip6-doc/usr/share/doc/sip6-doc/html
+
+override_dh_installchangelogs:
+	dh_installchangelogs docs/releases.md

=== debian/watch ===
Version: 5

Source: https://github.com/Python-SIP/sip/tags
Matching-Pattern: .*/@ANY_VERSION@@ARCHIVE_EXT@

## sip6 6.15.0

=== debian/changelog ===
sip6 (6.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on python3-pytest for the tests.
  * Document the --option flag in sip-module(1).
  * Refresh patches for the new release.
  * Make blhc ignore the messages from setuptools builder.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 06 Dec 2025 19:48:25 +0300

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                python3-myst-parser <!nodoc>,
                python3-packaging (>= 24.2),
                python3-ply,
+               python3-pytest <!nocheck>,
                python3-setuptools (>= 77),
                python3-setuptools-scm (>= 8),
                python3-sphinx <!nodoc>,

## sip6 6.15.1

=== debian/changelog ===
sip6 (6.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop disabled_superclass.diff, included in the new release.
  * Refresh intersphinx_local.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Dec 2025 12:13:20 +0300

sip6 (6.15.0-2) unstable; urgency=medium

  * Backport upstream patch to ignore super-class of a disabled class.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Dec 2025 18:35:06 +0300
